transform:
  imagesets: 
    - Flattened
  rois:
    roi1:
      x: 4390
      y: 2400
      w: 1024
      h: 1024
      label: "manually selected writing"
  noisesamples:
    noise01:
      x: 6000
      y: 2500
      w: 512
      h: 512
      label: "manually selected non-handwriting"
options: 
  skipuvbp:
    - False
  sigmas:
    - 1000
    - 500
    - 50
    - 0
  methods:
    - fica
    - mnf
    - pca
  n_components: 
    - 10
output: 
  histograms: 
    - adaptive
    - equalize
  fileformats: 
    - jpg
    - tif
settings:
  cachepath: cache/
  logfile: jubpalprocess.log
  loglevel: INFO 
  logresources: 60
  fica_max_iter: 10000 # default is 100, 100000 took days, 10000 took about 4 hours, 1000 reasonable once past testing
skip:
  - None
